pcl::TexMaterial Struct Reference

`#include <pcl/TextureMesh.h>`

## Classes

struct | RGB

## Public Member Functions

| TexMaterial ()

## Public Attributes

std::string | tex_name
| Texture name. More...
std::string | tex_file
| Texture file. More...
RGB | tex_Ka
| Defines the ambient color of the material to be (r,g,b). More...
RGB | tex_Kd
| Defines the diffuse color of the material to be (r,g,b). More...
RGB | tex_Ks
| Defines the specular color of the material to be (r,g,b). More...
float | tex_d
| Defines the transparency of the material to be alpha. More...
float | tex_Ns
| Defines the shininess of the material to be s. More...
int | tex_illum
| Denotes the illumination model used by the material. More...

## Detailed Description

Author
  Khai Tran

Definition at line 50 of file TextureMesh.h.

## Constructor & Destructor Documentation

## TexMaterial()

pcl::TexMaterial::TexMaterial | ( |  | ) |

inline

Definition at line 52 of file TextureMesh.h.

## Member Data Documentation

## tex_d

float pcl::TexMaterial::tex_d

Defines the transparency of the material to be alpha.

Definition at line 77 of file TextureMesh.h.

## tex_file

std::string pcl::TexMaterial::tex_file

Texture file.

Definition at line 65 of file TextureMesh.h.

## tex_illum

int pcl::TexMaterial::tex_illum

Denotes the illumination model used by the material.

illum = 1 indicates a flat material with no specular highlights, so the value of Ks is not used. illum = 2 denotes the presence of specular highlights, and so a specification for Ks is required.

Definition at line 87 of file TextureMesh.h.

## tex_Ka

RGB pcl::TexMaterial::tex_Ka

Defines the ambient color of the material to be (r,g,b).

Definition at line 68 of file TextureMesh.h.

## tex_Kd

RGB pcl::TexMaterial::tex_Kd

Defines the diffuse color of the material to be (r,g,b).

Definition at line 71 of file TextureMesh.h.

## tex_Ks

RGB pcl::TexMaterial::tex_Ks

Defines the specular color of the material to be (r,g,b).

This color shows up in highlights.

Definition at line 74 of file TextureMesh.h.

## tex_name

std::string pcl::TexMaterial::tex_name

Texture name.

Definition at line 62 of file TextureMesh.h.

## tex_Ns

float pcl::TexMaterial::tex_Ns

Defines the shininess of the material to be s.

Definition at line 80 of file TextureMesh.h.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/TextureMesh.h